Bug 124914 - Does not listen for IPv6 connections
Summary: Does not listen for IPv6 connections
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pidentd   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL: http://people.redhat.com/~havill/down...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-01 13:48 UTC by Thomas Zehetbauer
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 17:01:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Zehetbauer 2004-06-01 13:48:34 UTC
pidentd-3.0.16-4 does listen for connections over IPv4 only. I would
suggest to replace it with uidentd.

Comment 1 Eido Inoue 2004-06-02 16:21:42 UTC
agreed. uidentd will be used for FC3.

Comment 2 Eido Inoue 2004-06-21 17:01:21 UTC
actually, uidentd is too heavy and is written in perl, and doesn't
have enough feature compatibility with pidentd.

Will use authd-1.2.0 instead, which will deprecate pidentd.

See URL for location of SRPM

Comment 3 Thomas Zehetbauer 2004-06-27 00:42:33 UTC
Being written in perl means no risk of buffer overflows for me ;-)
therefore I would rather see authd using it's own user account. Beside
this authd comes with a rather outdated readme.html, no man page and
does not support --help. Also the --username flag added in the 1.2.4-1
RPM makes the daemon return only nobody or NO-USER thereby rendering
it useless.


Note You need to log in before you can comment on or make changes to this bug.